> ## Documentation Index
> Fetch the complete documentation index at: https://docs.diversion.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Close draft commit

> Close a draft commit. This operation changes the status to 'closed' and marks the draft branch as deleted.



## OpenAPI

````yaml post /repos/{repo_id}/draft-commits/{draft_commit_id}/close
openapi: 3.0.3
info:
  title: Diversion Core API
  description: >-
    Definition of the Core API used to access low-level functionality of
    Diversion
  version: 0.2.0
servers:
  - url: https://api.diversion.dev/v0
    description: Base endpoint
security: []
paths:
  /repos/{repo_id}/draft-commits/{draft_commit_id}/close:
    parameters:
      - $ref: '#/components/parameters/RepoParam'
      - name: draft_commit_id
        in: path
        required: true
        schema:
          type: string
        description: Draft commit ID
    post:
      tags:
        - Repository Draft Commits
      summary: Close draft commit
      description: >-
        Close a draft commit. This operation changes the status to 'closed' and
        marks the draft branch as deleted.
      operationId: src.handlersv2.draft_commit.close
      responses:
        '204':
          $ref: '#/components/responses/OKEmpty'
        '403':
          description: Not authorized to delete this draft commit
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Draft commit not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        default:
          $ref: '#/components/responses/Error'
      security:
        - OAuth2:
            - coreapi/write
components:
  parameters:
    RepoParam:
      in: path
      name: repo_id
      required: true
      schema:
        type: string
        example: example_id
        minLength: 3
        maxLength: 128
      description: >-
        The repo ID of the repository. Repo _name_ can be used instead of the
        ID, but usage of ID for permanent linking and API requests is preferred.
  responses:
    OKEmpty:
      description: Request completed successfully
    Error:
      description: An error occurred
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        detail:
          type: string
        title:
          type: string
        type:
          type: string
      required:
        - status
        - detail
  securitySchemes:
    OAuth2:
      type: oauth2
      x-tokenInfoFunc: src.token_info.token_auth
      description: This API uses OAuth 2 with the implicit grant flow
      flows:
        implicit:
          authorizationUrl: https://auth.diversion.dev/oauth2/authorize
          scopes:
            coreapi/read: Operations with no possible side-effects
            coreapi/write: Modifying operations
            coreapi/admin: >-
              Organizational operations like adding a repo or changing repo
              properties

````